# $Revision: 1.90 $, $Date: 2010/01/03 21:59:46 $
#
# Conditional build:
%bcond_with	tests 		# do not perform "make test"
%bcond_without	libresolv	# link against libresolv (creates architecture-dependent package)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	DNS
Summary:	Net::DNS - Perl interface to the DNS resolver
Summary(pl.UTF-8):	Net::DNS - interfejs perlowy do resolvera DNS
Name:		perl-Net-DNS
Version:	0.65
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	54e5a12a20de39b954a93723927ac789
Patch0:		%{name}-ignore-resolv_conf-open-errors.patch
URL:		http://search.cpan.org/dist/Net-DNS/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	perl-Digest-BubbleBabble
BuildRequires:	perl-Digest-HMAC >= 1.00
BuildRequires:	perl-Digest-MD5 >= 2.12
BuildRequires:	perl-IO-Socket-INET6 >= 2.51
BuildRequires:	perl-MIME-Base64 >= 2.11
BuildRequires:	perl-Net-IP >= 1.20
BuildRequires:	perl-Test-Pod >= 0.95
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
# https://rt.cpan.org/Public/Bug/Display.html?id=30316:
# BuildRequires:	FIXME(CVE-unknown)
%if !%{with libresolv}
BuildArch:	noarch
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::DNS is a DNS resolver implemented in Perl. It allows the
programmer to perform nearly any type of DNS query from a Perl script.

%description -l pl.UTF-8
Net::DNS jest resolverem DNS, zaimplementowanym w Perlu. Pozwala
programiście na wykonanie niemal każdego typu zapytania DNS ze skryptu
Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%{__sed} -i -e 's#/''usr/local/bin/perl#/''usr/bin/perl#' demo/* contrib/*

%build
%{__perl} Makefile.PL </dev/null \
	%{!?with_libresolv:--no-xs} \
	--no-online-tests \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	%{?with_libresolv:OPTIMIZE="%{rpmcflags}"}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Net/DNS/Resolver

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT
cp -a demo/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a contrib $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# get rid of pod documentation
%if %{with libresolv}
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Net/DNS/*.pod
%else
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Net/DNS/*.pod
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/Net/DNS
%if %{with libresolv}
%{perl_vendorarch}/Net/DNS.pm
%{perl_vendorarch}/Net/DNS
%{perl_vendorarch}/auto/Net/DNS/DNS.bs
%dir %{perl_vendorarch}/auto/Net/DNS
%attr(755,root,root) %{perl_vendorarch}/auto/Net/DNS/DNS.so
%else
%{perl_vendorlib}/Net/DNS.pm
%endif

%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-DNS.spec,v $
Revision 1.90  2010/01/03 21:59:46  sparky
- added ignore-resolv_conf-open-errors patch; rel 3

Revision 1.89  2009/09/17 08:28:05  amateja
- tests switched off by default because they keep trying to access /etc/resolv.conf

Revision 1.88  2009/09/17 08:20:54  amateja
- release 2

Revision 1.87  2009/03/13 16:54:27  hawk
- updated to 0.65

Revision 1.86  2009/03/13 16:39:34  hawk
- release 2

Revision 1.85  2008/04/02 08:40:24  arekm
- up to 0.63

Revision 1.84  2008-02-08 14:05:23  arekm
- up to 0.62 (sec bug not fixed for long time; doesn't look serious; cve number pointed to some solaris bug)

Revision 1.83  2007-12-24 09:43:45  blues
- security note

Revision 1.82  2007/09/18 12:53:01  blues
- 0.61

Revision 1.81  2007/08/24 20:19:03  adamg
- CVE entry

Revision 1.80  2007/06/30 21:02:50  arekm
- up to 0.60
  [CVE-2007-3377]

Revision 1.79  2007/05/03 22:17:02  adamg
- pass CC
- always include Net/DNS/* dirs - may be needed by Net-DNS-* packages
- release 2

Revision 1.78  2007/05/03 15:49:20  adamg
- updated to 0.59

Revision 1.77  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.76  2007/02/12 00:49:42  baggins
- converted to UTF-8

Revision 1.75  2006/11/13 15:01:54  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.74  2006/10/10 08:40:15  qboosh
- Test::Pod version

Revision 1.73  2006/10/09 11:36:01  qboosh
- generic URL

Revision 1.72  2006/09/28 22:53:07  glen
- add todo

Revision 1.71  2006/01/21 11:04:38  glen
- fix last commit: alter sources in %prep

Revision 1.70  2006/01/21 04:13:17  agaran
- just fixed perl path for examples

Revision 1.69  2005/11/18 16:50:21  glen
- rel 3

Revision 1.68  2005/11/18 14:38:42  glen
- fixed netdns linking (Makefile.PL is buggy and doing half work if --xs is specified)

Revision 1.67  2005/11/18 14:26:48  glen
- missing dir, missing br for test

Revision 1.66  2005/11/13 21:49:21  migo
- remove not needed BRs

Revision 1.65  2005/11/13 21:42:45  glen
- updated to 0.53
- updated tests BR
- enabled libresolv by default (hey, libresolv is in glibc!)
- rel 2 (1 reserved for Ra)

Revision 1.64  2005/10/20 06:26:00  hawk
- release 3 (2 went to Ra)

Revision 1.63  2005/07/23 21:10:35  radek
- version 0.52

Revision 1.62  2005/06/14 07:44:20  ankry
- rel. 2

Revision 1.61  2005/06/14 07:41:17  ankry
- one more BR

Revision 1.60  2005/06/14 07:27:38  petec
- up to 0.51

Revision 1.59  2005/05/30 11:44:04  petec
- up to 0.49

Revision 1.58  2004/11/03 22:30:35  paladine
- formatting

Revision 1.57  2004/11/02 10:35:04  adamg
- get rid of pod documentation
- release 2

Revision 1.56  2004/08/13 18:10:20  adamg
- updated to 0.48

Revision 1.55  2004/05/09 09:30:01  qboosh
- more verbose file list
- disable online tests (use network and depend on some external servers)
- release 3

Revision 1.54  2004/05/07 00:32:02  ankry
- rel. 2

Revision 1.53  2004/05/06 18:20:44  ankry
- fixed perl-devel BR

Revision 1.52  2004/04/27 00:31:18  ankry
- tests enabled, cosmetics

Revision 1.51  2004/04/15 05:31:32  ankry
- cosmetics, unification

Revision 1.50  2004/04/04 17:41:02  adamg
- updated to 0.47

Revision 1.49  2004/03/13 23:09:16  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.48  2004/03/06 20:07:08  adamg
- updated to 0.46

Revision 1.47  2004/01/24 23:26:14  arekm
- autoupdated to 0.45

Revision 1.46  2003/10/29 18:12:46  migo
- up to 0.42

Revision 1.45  2003/10/04 09:26:11  migo
- up to 0.41
- new bcond system
- one new BR, cosmetics

Revision 1.44  2003/09/09 10:24:42  ankry
- spaces -> tab

Revision 1.43  2003/09/03 20:56:20  adamg
- updated to 0.40

Revision 1.42  2003/07/03 22:19:55  migo
- use rpmcflags

Revision 1.41  2003/07/01 11:42:59  migo
- up to 0.38
- conditionally link to the libresolv library

Revision 1.40  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.39  2003/05/25 06:24:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.38  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.37  2003/03/13 00:03:21  ankry
- merge from RA-branch: updated to 0.34

Revision 1.36  2003/03/01 20:21:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.35  2003/02/24 20:31:56  radek
- use the __perl macro

Revision 1.34  2003/02/18 15:36:59  ankry
- massive attack: change CPAN URLs

Revision 1.33  2003/02/05 16:19:22  ankry
- autoupdated to 0.33

Revision 1.32  2003/01/08 13:55:00  ankry
- adapterized

Revision 1.31  2003/01/08 13:48:19  mis
- autoupdated to 0.32

Revision 1.30  2002/12/02 11:06:24  ankry
- massive cleaning

Revision 1.29  2002/11/20 12:22:59  mis
- autoupdated to 0.31

Revision 1.28  2002/11/08 16:02:09  radek
- version 0.30

Revision 1.27  2002/10/05 21:18:49  ankry
- updated to 0.29
- removed obsolete patch
- cleanup

Revision 1.26  2002/09/13 10:07:57  misiek
- rel 2, fix unreachable ns problem

Revision 1.25  2002/08/24 17:05:07  radek
- informative summary/description
- version 0.28, added conditional tests, STBR

Revision 1.24  2002/07/20 10:22:06  qboosh
- updated to 0.24, added BRs

Revision 1.23  2002/07/12 09:04:40  qboosh
- new %doc and cosmetics

Revision 1.22  2002/07/11 08:01:55  depesz
- new version; should work; STBR

Revision 1.21  2002/07/10 08:48:07  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/15 12:56:51  areq
- 0.19, STBR

Revision 1.19  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:33:06  depesz
- cleanup; revision++

Revision 1.17  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:18:46  depesz
- automatic: Source location unified, Relase Up

Revision 1.15  2002/02/10 15:29:40  depesz
- adapterized

Revision 1.14  2002/01/18 02:14:22  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/19 15:05:02  mis
- buildarch noarch

Revision 1.12  2001/04/17 12:13:10  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/19 03:08:50  kloczek
- removed bogus Patch0.

Revision 1.9  2001/01/19 02:59:15  kloczek
- do not include .packlist in %files,
- spec adapterized.

Revision 1.8  2001/01/13 00:56:08  dobrek
- Req:perl>=5.6 ;Realase=4;New rpm automat

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:12:37  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
